//
//  OrderDetailTopView.m
//  ALand
//
//  Created by Z on 16/3/30.
//  Copyright © 2016年 Z. All rights reserved.
//

#import "OrderDetailTopView.h"

@interface OrderDetailTopView ()
@property (weak, nonatomic) IBOutlet UIView *viewExpress;

@end
@implementation OrderDetailTopView
- (void)awakeFromNib {
    
       
}

- (void)updateByOrderType {
    
    if (self.orderType == ORDERTOPTYPE_TRANSPORTED || self.orderType == ORDERTOPTYPE_COMMPLETE) {
    }else{
        [self.viewExpress removeFromSuperview];

    }
}
- (void)updateHeight {
    
    self.height = self.bottomView.bottom;
}

- (void)viewWithModel:(JavenOrderModel *)model {
    self.labelName = model.consumer.name;
    JavenAddress *address = model.address;
    self.labelAddress.text = [NSString stringWithFormat:@"%@%@%@%@", address.nation ? address.nation : @"", address.city, address.country, address.address];
    self.labelPhoneNumber.text = model.consumer.code;
}

- (IBAction)actionCall:(id)sender {
    [[UIApplication sharedApplication] openURL:[NSURL URLWithString:[NSString stringWithFormat:@"tel://%@", self.labelPhoneNumber.text]]];
}
/*
// Only override drawRect: if you perform custom drawing.
// An empty implementation adversely affects performance during animation.
- (void)drawRect:(CGRect)rect {
    // Drawing code
}
*/

@end
