//
//  InvitePartnerViewController.m
//  ALand
//
//  Created by Z on 16/4/21.
//  Copyright © 2016年 Z. All rights reserved.
//

#import "InvitePartnerViewController.h"

@interface InvitePartnerViewController ()
@property (weak, nonatomic) IBOutlet UIButton *btnInvite;

@end

@implementation InvitePartnerViewController

- (void)viewDidLoad {
    [super viewDidLoad];
    
    NSString *inviteWebUrl = [NSString stringWithFormat:@"%@Wap/visit.html", [UserInfo shareInstance].webShopBaseUrl];
    
    NSURLRequest *request = [[NSURLRequest alloc] initWithURL:[NSURL URLWithString:inviteWebUrl]];
    UIWebView *webView = [UIWebView new];
    webView.backgroundColor = kBacroundColor;
    [webView loadRequest:request];
    [self.view addSubview:webView];
//    webView.scrollView.contentInset = UIEdgeInsetsMake(30, 0, 0, 0);
    webView.sd_layout.topSpaceToView(self.view, 0).leftSpaceToView(self.view, 0).rightSpaceToView(self.view, 0).bottomSpaceToView(self.btnInvite, 0);
    // Do any additional setup after loading the view from its nib.
}
- (IBAction)invitePartner:(id)sender {
    
    NSString *urlStr = [NSString stringWithFormat:@"%@ShopUser/gpregister/invitationCode/%@.html", [UserInfo shareInstance].webShopBaseUrl, [UserInfo shareInstance].invitationCode];
    [[ShareInstance shareInstace] showWithTitle:@"Aland" content:@"大伙加入，共同致富！" url:urlStr image:[UIImage appIcon]];
    
}

- (void)didReceiveMemoryWarning {
    [super didReceiveMemoryWarning];
    // Dispose of any resources that can be recreated.
}

/*
#pragma mark - Navigation

// In a storyboard-based application, you will often want to do a little preparation before navigation
- (void)prepareForSegue:(UIStoryboardSegue *)segue sender:(id)sender {
    // Get the new view controller using [segue destinationViewController].
    // Pass the selected object to the new view controller.
}
*/

@end
